//
//  Created by Rainer Goebel, May 2013, tested for BV21 June 2019
//

//var ObjectsRawDataPath = BrainVoyager.BrowseDirectory("Please select the data directory"); 
//BrainVoyager.PathToSampleData + "ObjectsDicomGSG/";
//var meshfilename = ObjectsRawDataPath + "/CG_Head.srf";
var meshfilename = BrainVoyager.BrowseFile("Please select the mesh file", "*.srf");
LoadMeshFromMeshScene(meshfilename);
LoadMeshFromVMRDoc(meshfilename);

function LoadMeshFromMeshScene(meshfilename)
{
    var ok;
    var docVMR = BrainVoyager.ActiveDocument; if (docVMR == undefined)	return;
    var meshScene = docVMR.CreateMeshScene(); // before BV20: docVMR.CurrentMeshScene;
    if (meshScene == undefined) return;
    
    ok = meshScene.LoadMesh(meshfilename); if(!ok) return;
    var mesh = meshScene.CurrentMesh;
    
    var n_vertices = mesh.NrOfVertices;
    BrainVoyager.PrintToLog("No. of vertices of current mesh: " + n_vertices);
    
    BrainVoyager.PrintToLog("Viewpoint position, x: " + meshScene.ViewpointPositionX + " y: " +
                            meshScene.ViewpointPositionY + " z: " + meshScene.ViewpointPositionZ);
    meshScene.ViewpointPositionX = -500;
    meshScene.ViewpointRotationX = 0;
    meshScene.ViewpointRotationY = 180;
    meshScene.ViewpointRotationZ = 0;
    for (var i=0; i<90; i++) {
        meshScene.ViewpointPositionX += 2;
        meshScene.ViewpointRotationZ -= 1;
        meshScene.UpdateSurfaceWindow();
    }
    BrainVoyager.PrintToLog("Viewpoint position, x: " + meshScene.ViewpointPositionX + " y: " +
                            meshScene.ViewpointPositionY + " z: " + meshScene.ViewpointPositionZ);
}

function LoadMeshFromVMRDoc(meshfilename)
{
    var ok;
    var docVMR = BrainVoyager.ActiveDocument;
    if(docVMR == undefined)
        return;
    
    ok = docVMR.LoadMesh(meshfilename); // LoadMesh(ObjectsRawDataPath + "/CG_Head.srf")
    if (!ok) return;
    var mesh = docVMR.CurrentMesh;
    
    var n_vertices = mesh.NrOfVertices;
    BrainVoyager.PrintToLog("No. of vertices of current mesh: " + n_vertices);
}


